/**
 * Copyright (c) HashiCorp, Inc.
 * SPDX-License-Identifier: MPL-2.0
 */
import * as cdktf from 'cdktf';
import { DataDatabricksJobJobSettingsSettings, DataDatabricksJobJobSettingsSettingsOutputReference } from './structs0';
export interface DataDatabricksJobJobSettings {
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/databricks/databricks/1.27.0/docs/data-sources/job#created_time DataDatabricksJob#created_time}
    */
    readonly createdTime?: number;
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/databricks/databricks/1.27.0/docs/data-sources/job#creator_user_name DataDatabricksJob#creator_user_name}
    */
    readonly creatorUserName?: string;
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/databricks/databricks/1.27.0/docs/data-sources/job#job_id DataDatabricksJob#job_id}
    */
    readonly jobId?: number;
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/databricks/databricks/1.27.0/docs/data-sources/job#run_as_user_name DataDatabricksJob#run_as_user_name}
    */
    readonly runAsUserName?: string;
    /**
    * settings block
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/databricks/databricks/1.27.0/docs/data-sources/job#settings DataDatabricksJob#settings}
    */
    readonly settings?: DataDatabricksJobJobSettingsSettings;
}
export declare function dataDatabricksJobJobSettingsToTerraform(struct?: DataDatabricksJobJobSettingsOutputReference | DataDatabricksJobJobSettings): any;
export declare class DataDatabricksJobJobSettingsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): DataDatabricksJobJobSettings | undefined;
    set internalValue(value: DataDatabricksJobJobSettings | undefined);
    private _createdTime?;
    get createdTime(): number;
    set createdTime(value: number);
    resetCreatedTime(): void;
    get createdTimeInput(): number | undefined;
    private _creatorUserName?;
    get creatorUserName(): string;
    set creatorUserName(value: string);
    resetCreatorUserName(): void;
    get creatorUserNameInput(): string | undefined;
    private _jobId?;
    get jobId(): number;
    set jobId(value: number);
    resetJobId(): void;
    get jobIdInput(): number | undefined;
    private _runAsUserName?;
    get runAsUserName(): string;
    set runAsUserName(value: string);
    resetRunAsUserName(): void;
    get runAsUserNameInput(): string | undefined;
    private _settings;
    get settings(): DataDatabricksJobJobSettingsSettingsOutputReference;
    putSettings(value: DataDatabricksJobJobSettingsSettings): void;
    resetSettings(): void;
    get settingsInput(): DataDatabricksJobJobSettingsSettings | undefined;
}
